<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_l2cap_cbfc_conn_cnf_param_t</compoundname>
    <includes local="no">cy_ble_stack_l2cap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1a250c345a40b653c7f317d24557e7a169" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__l2cap__cbfc__connection__info__t">cy_stc_ble_l2cap_cbfc_connection_info_t</ref></type>
        <definition>cy_stc_ble_l2cap_cbfc_connection_info_t cy_stc_ble_l2cap_cbfc_conn_cnf_param_t::connParam</definition>
        <argsstring />
        <name>connParam</name>
        <briefdescription>
<para>L2CAP Credit based flow Connection parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="338" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="338" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1a5b3dedd8278bff2d8c5f4698c8828abc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_conn_cnf_param_t::lCid</definition>
        <argsstring />
        <name>lCid</name>
        <briefdescription>
<para>Local CID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="341" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="341" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1a5067e24d52c95e345ab19ef045e43473" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_conn_cnf_param_t::response</definition>
        <argsstring />
        <name>response</name>
        <briefdescription>
<para>Response codes for Connection parameter update request. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="344" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="344" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1ab8283593fe9bbd81e541b8042e88f4fd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_l2cap_cbfc_conn_cnf_param_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>bd handle of the remote device </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="347" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="347" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Connect confirmation parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="952">
        <label>cy_stc_ble_l2cap_cbfc_connection_info_t</label>
        <link refid="structcy__stc__ble__l2cap__cbfc__connection__info__t" />
      </node>
      <node id="951">
        <label>cy_stc_ble_l2cap_cbfc_conn_cnf_param_t</label>
        <link refid="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t" />
        <childnode refid="952" relation="usage">
          <edgelabel>connParam</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="349" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="335" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="336" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1ab8283593fe9bbd81e541b8042e88f4fd" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_conn_cnf_param_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1a250c345a40b653c7f317d24557e7a169" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_conn_cnf_param_t</scope><name>connParam</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1a5b3dedd8278bff2d8c5f4698c8828abc" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_conn_cnf_param_t</scope><name>lCid</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t_1a5067e24d52c95e345ab19ef045e43473" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_conn_cnf_param_t</scope><name>response</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>